# PUT /v4/key-value-stores/{key}/entries/batch

_Merkl API_

Batch upsert entries. Requires X-API-Key authentication.

### Path parameters

- `key` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "entries": {
      "minItems": 1,
      "maxItems": 1000,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "address": {
            "pattern": "^0x[a-fA-F0-9]{40}$|^0x[a-fA-F0-9]{64}$",
            "type": "string"
          },
          "value": {
            "maxLength": 1024,
            "type": "string"
          }
        },
        "required": [
          "address",
          "value"
        ]
      }
    }
  },
  "required": [
    "entries"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "entries": {
      "minItems": 1,
      "maxItems": 1000,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "address": {
            "pattern": "^0x[a-fA-F0-9]{40}$|^0x[a-fA-F0-9]{64}$",
            "type": "string"
          },
          "value": {
            "maxLength": 1024,
            "type": "string"
          }
        },
        "required": [
          "address",
          "value"
        ]
      }
    }
  },
  "required": [
    "entries"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "entries": {
      "minItems": 1,
      "maxItems": 1000,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "address": {
            "pattern": "^0x[a-fA-F0-9]{40}$|^0x[a-fA-F0-9]{64}$",
            "type": "string"
          },
          "value": {
            "maxLength": 1024,
            "type": "string"
          }
        },
        "required": [
          "address",
          "value"
        ]
      }
    }
  },
  "required": [
    "entries"
  ]
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X PUT "https://api.merkl.xyz//v4/key-value-stores/{key}/entries/batch" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```